package com.union.ai.api.dao.mapper;

import com.union.ai.api.dao.model.AppType;
import com.union.ai.api.dao.model.AppTypeCondition;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AppTypeMapper {
    int countByCondition(AppTypeCondition example);

    int deleteByCondition(AppTypeCondition example);

    int deleteById(Integer apptypeId);

    int insert(AppType record);

    int insertSelective(AppType record);

    List<AppType> selectByCondition(AppTypeCondition example);

    AppType selectById(Integer apptypeId);

    int updateByConditionSelective(@Param("record") AppType record, @Param("example") AppTypeCondition example);

    int updateByCondition(@Param("record") AppType record, @Param("example") AppTypeCondition example);

    int updateByIdSelective(AppType record);

    int updateById(AppType record);
}